/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a16bb7d42320c9aa755a1d2a0d45bdbc7",
"HistoryLog_8h.html",
"LogControl_8h.html",
"MetaLinkParser_8cc.html#a5456263c51ed3d8b8d276e9fd76a615daef62f20f2eceafbcd7f12a1ace3d5e89",
"PluginScript_8cc.html#a29e198c5f2995dff68729e75df18d6b5",
"RepoException_8cc.html#a73f7fbe75b6a0dde0178c688794a3d0d",
"RpmDb_8cc.html#a431f186e64a875e2323dc68a9d27438b",
"SrcPackageProvider_8h.html",
"TargetImpl_8cc.html#ac4023044142bc4a43ac9cfd77fbcb26b",
"ZYppCommitPolicy_8cc_source.html",
"classzypp_1_1ByteCount.html#ad982e0b14c7962c0bbea6a4c154d5144",
"classzypp_1_1CheckSum.html#ac85e10f387dffac17f76121e7feb2f6e",
"classzypp_1_1Digest_1_1P.html",
"classzypp_1_1HistoryLogData.html",
"classzypp_1_1InputStream.html#ab2e19c1485189fbb57828de65e6d65ab",
"classzypp_1_1Match.html#af0e24c47359c673074fdf7bafe1610da",
"classzypp_1_1PluginFrame.html#a0ec4b412b1e475468e79ff62043e1f80",
"classzypp_1_1PoolQueryResult.html#a7f14b9a432050d698f5509e07bd1ef7b",
"classzypp_1_1PublicSubkeyData.html#a9e5000feb97a5767656f69e299d46d88",
"classzypp_1_1Repository.html#a8d5e8a8e961bf1cb0d1942d8a892f151",
"classzypp_1_1ResStatus.html#a260c8fb4228e540f8f1825f4fa95daa7",
"classzypp_1_1SerialNumber.html#a3f98862fe9111e79973e460003c621ff",
"classzypp_1_1Url.html#a734d1a2d5d57b8a1a70d0cac7e68769e",
"classzypp_1_1ZConfig_1_1Impl.html#ae32b8999247643238aacd3ea0dd43d65",
"classzypp_1_1base_1_1Flags.html#af6fbd93a9b88f6da60de6ff8a48e5fac",
"classzypp_1_1detail_1_1zckstreambufimpl.html#a178163f4584f54ebb7126b55ec868e9f",
"classzypp_1_1filesystem_1_1StatMode.html#ac6748c1072beae2a629fb180f082ceb7",
"classzypp_1_1media_1_1MediaBadUrlEmptyHostException.html",
"classzypp_1_1media_1_1MediaHandler.html#a8add4c3534425ea0e8799436de34d249",
"classzypp_1_1media_1_1MediaUnmountException.html#af7ee0a97feb7664923f4bba66012b3fa",
"classzypp_1_1media_1_1multifetchworker.html#ae4bc245e383889b5eda52cea4e64cd22",
"classzypp_1_1pool_1_1PoolImpl.html#aa82369ffcfc3bcd3772d7921aff80917",
"classzypp_1_1repo_1_1ServiceRepos.html#abe2f5ae529abb930eeeb1f2b99ee5ec7",
"classzypp_1_1sat_1_1Pool.html#a3aec711f4464a34e76e5786356c64170",
"classzypp_1_1sat_1_1Solvable.html#a613c5ee894a41d6459368ac1967ac755",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#a35c95847eca8a07c8daff70ed81e60b9",
"classzypp_1_1syscontent_1_1Reader_1_1Entry_1_1Impl.html#a8a03ab922a117ca02ad9e95cf5addef5",
"classzypp_1_1target_1_1TargetImpl.html#ab22acb5f2c38cf23d371d1a9a5862407",
"classzypp_1_1target_1_1rpm_1_1librpmDb.html#a3d9af52a800e3baa9624a081d1af1d3a",
"classzypp_1_1url_1_1UrlBase.html#ac83a895dad5f3cb8a9908afa5515d089",
"dir_094f7e4ec9d99036993275f264ce5f48.html",
"group__POOLFILTER.html#ga5eea671447a69d850a194bf3aa18b333",
"namespacemembers_p.html",
"structzypp_1_1AutoDispose_1_1Impl.html#abe105d79ec5dd88fb16f297e4089a2f8",
"structzypp_1_1FetcherJob.html#a86e37895dccfcf793bc70298cdcfd4aa",
"structzypp_1_1PluginFrame_1_1Impl.html#a9ebeea54034700b182489900ce7ab171",
"structzypp_1_1Rel.html#ab2ec670cca6464986e2d2f5b6e6b71a5",
"structzypp_1_1SavingLocksReport.html",
"structzypp_1_1callback_1_1ReportBase.html#a845230129dd7731740c2cf28e60c6291",
"structzypp_1_1media_1_1AttachedMedia.html#a28d43e50d3499387f3374fd186a16642",
"structzypp_1_1pool_1_1P__Select2nd.html",
"structzypp_1_1sat_1_1FileConflicts_1_1Conflict.html#addbee0aa405fc4b2b745472ec8db59e3",
"structzypp_1_1target_1_1rpm_1_1HeaderEntryGetter.html",
"structzypp_1_1xml_1_1ParseDefException.html#a50baf89f35d92d31fa0bf7a8951203d4"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';